summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-01-29 19:11:57 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-01-29 19:11:57 +0530
commit073a87fad54a24307e8f04d272f4c9137be54053 (patch)
tree5b51b4d43381d17a68000a8a77ed14a2ca37e53d /test-art-target-test.sh
parent6694193ef57c768f595f58489ac820e1c8dbb484 (diff)
downloadart-build-tests.sh-073a87fad54a24307e8f04d272f4c9137be54053.tar.gz
test-art-target-test: check if actual failure exist other than ignored_tests
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index 300d011..ee495c5 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -61,6 +61,7 @@ export ART_TEST_RUN_TEST_DEBUG=false
export ART_TEST_RUN_TEST_NDEBUG=true
export ART_USE_OPTIMIZING_COMPILER=true
failed=0
+actually_failed=0
make -j12 test-art-target-sync
@@ -231,5 +232,8 @@ if [[ $failed -ne 0 ]]; then
dmesg
echo "*********** Battery LEVEL *****************"
out/host/linux-x86/bin/adb shell dumpsys battery
- exit 1
+ if [[ $actually_failed -ne 0 ]]; then
+ exit 1
+ fi
+ exit 0
fi